# $Revision: 1.7 $, $Date: 2011/07/03 12:22:56 $
%include	/usr/lib/rpm/macros.java
Summary:	Selection of Java libraries by Matthew Johnson
Summary(pl.UTF-8):	Wybrane biblioteki Javy autorstwa Matthew Johnsona
Name:		java-libmatthew
Version:	0.8
Release:	1
License:	LGPL v2.1
Group:		Libraries/Java
Source0:	http://www.matthew.ath.cx/projects/java/libmatthew-java-%{version}.tar.gz
# Source0-md5:	8455b8751083ce25c99c2840609271f5
URL:		http://www.matthew.ath.cx/projects/java/
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selection of Java libraries by Matthew Johnson, including:
- Unix Sockets Library,
- Debug Library,
- CGI Library,
- I/O Library.

%description -l pl.UTF-8
Wybrane biblioteki Javy autorstwa Matthew Johnsona, w tym:
- Unix Sockets Library - biblioteka gniazd uniksowych,
- Debug Library - biblioteka diagnostyczna,
- CGI Library - biblioteka CGI,
- I/O Library - biblioteka wejścia/wyjścia.

%prep
%setup -q -n libmatthew-java-%{version}

%build
%{__make} \
	JAVA_HOME="%{java_home}" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -std=c99 -Wall" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags} -shared" \
	JCFLAGS="-source 1.5"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_jnidir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README changelog
%attr(755,root,root) %{_jnidir}/libcgi-java.so
%attr(755,root,root) %{_jnidir}/libunix-java.so
%{_javadir}/cgi*.jar
%{_javadir}/debug-disable*.jar
%{_javadir}/debug-enable*.jar
%{_javadir}/hexdump*.jar
%{_javadir}/io*.jar
%{_javadir}/unix*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-libmatthew.spec,v $
Revision 1.7  2011/07/03 12:22:56  qboosh
- updated to 0.8

Revision 1.6  2010/04/28 23:54:22  pawelz
- dropped EA, now we have java on all archs

Revision 1.5  2010/01/16 07:37:31  qboosh
- updated to 0.7.2

Revision 1.4  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.3  2008/07/20 06:45:36  qboosh
- updated to 0.7.1

Revision 1.2  2008/03/01 11:42:47  qboosh
- updated to 0.6
- pass "-source 1.5" in JCFLAGS to override wrong "-source 5.0"

Revision 1.1  2007-08-12 10:53:59  qboosh
- new
